{% extends "base.html" %}
{% load widget_tweaks %}
{% block stylings %}
  <style>
    .alert-danger {
      width: 96%;
      padding-left: 2%;
      margin-left: 2%;
    }
    #id_country_code {
      flex: none;
      width: 62px;
      padding: 6px;
    }
  </style>
{% endblock %}

{% block delay_page %}style="display: none"{% endblock %}

{% block content %}
  <form id="id_form" action="{% block action %}{% endblock %}" method="post">
    {% csrf_token %}
    {% for field in form.visible_fields %}
      <div class="form-group">
        <div class="input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">{{ field.label }}</span>
          </div>
          {% if field.errors and not follow_up%}
            {% render_field field class="form-control is-invalid" %}
          {% elif follow_up and field.data %}
            {% render_field field class="form-control" readonly="" %}
          {% else %}
            {% render_field field class="form-control" %}
          {% endif %}
        </div>
        {% if field.errors and not follow_up%}
          {% for error in field.errors %}
            <div class="alert-danger">{{ error }}</div>
          {% endfor %}
        {% endif %}
      </div>
    {% endfor %}
    <input type="submit" class="float-right btn btn-primary" value="Submit">
  </form>
{% endblock %}

{% block inline_javascript %}
  <script type="text/javascript">
    $(function () {
      $('#id_date_of_birth').datetimepicker({
        format: 'L',
        viewMode: 'decades',
        maxDate: moment().subtract(18, 'years'),
        minDate: moment().subtract(125, 'years'),
        date: moment($("#id_date_of_birth").val())
      });
    });

    function handle_phone_data(e){
      e.preventDefault();
      let form = $(this);
      let phone_number = $('#id_phone_number').val();
      let country_code = $('#id_country_code').val().replace("+", "").replace(" ", "");
      phone_number = country_code + phone_number;
      let cloned_form = form.clone();
      cloned_form.find("#id_phone_number").val(phone_number);
      $("body").append(cloned_form);
      cloned_form.submit();
    }

    function set_country_code(){
      let phone_number = $('#id_phone_number');
      let country_select = $('#id_country_code');
      let phone_data = phone_number.val();
      if (!phone_data){return}
      country_select.children("option").each(function(i, child){
        let country_code = child.text;
        let country_code_num = country_code.replace("+", "").replace(" ", "");
        if (phone_data.indexOf(country_code_num) === 0) {
          country_select.val(country_code);
          phone_number.val(phone_data.replace(country_code_num, "", 1));
        }
      });
    }

    $( document ).ready(function() {
      set_country_code();
      $('#id_form').submit(handle_phone_data);
      $('body').show();
    });

  </script>
{% endblock %}